# pyesasky (beta 1.0.1)

Welcome to the ESASky Jupyter notebook widget page. 

# Requirements

`Jupyter` and `node.js`

`Jupyter` comes together with anaconda. 

For `node.js`:
If you use conda, you can get it with:

```bash
conda install -c conda-forge nodejs
```

If you use Homebrew on Mac OS X:
```bash
brew install node
```
You can also download `Node.js` from the Node.js website https://nodejs.org/ and install it directly.

# Installation

For a development installation (requires npm),
```bash
$ git clone https://github.com/esdc-esac-esa-int/pyesasky
$ cd pyesasky
$ sh install.sh
```

# Running pyESASky samples:
```bash
$ cd samples
$ jupyter notebook
```

For the basic functionnalities, open the pyESASky-Basic.ipynb. To check how to overlay a catalogue, run the pyESASky-Catalogue.ipynb. To overlay a set of footprints, open pyESASky-Footprints.ipynb .

# Run pyesasky

In general, it is possible to instantiate pyESASky by running the folowing code in your Jupyter Notebook.

```python
from pyesasky.pyesasky import ESASkyWidget
esasky = ESASkyWidget()
esasky
```
To be able to use catalogue features, the following additional classes must be imported:

```python
from pyesasky.pyesasky import Catalogue
from pyesasky.pyesasky import CatalogueDescriptor
from pyesasky.pyesasky import MetadataDescriptor
from pyesasky.pyesasky import MetadataType
```

To be able to use footprints features, the following additional classes must be imported:

```python
from pyesasky.pyesasky import FootprintSet
from pyesasky.pyesasky import FootprintSetDescriptor
from pyesasky.pyesasky import MetadataDescriptor
from pyesasky.pyesasky import MetadataType
```

# pyesasky in Jupyter lab

In order to be able to run pyesasky in Jupyter lab it is necessary to install the labextension ivywidgets by the following command:

```bash
$ jupyter labextension install @jupyter-widgets/jupyterlab-manager
```

NOTE that this requires `node.js` to be installed. 

# Uninstall

```bash
$ sh uninstall.sh
```

In case the uninstall is complaining about a missing `rimraf` command, try that first and then rerun the uninstall procedure:

```bash
$ npm install webpack-dev-server rimraf webpack -g
```
